Bug 1140669 - Unable to create New support case in JBoss ON who has 'Manage Support Cases' permission
Summary: Unable to create New support case in JBoss ON who has 'Manage Support Cases' ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Red Hat Access
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Jeeva Kandasamy
URL:
Whiteboard:
Depends On:
Blocks: JON3-11 JON3-12
TreeView+ depends on / blocked
 
Reported: 2014-09-11 13:17 UTC by Jeeva Kandasamy
Modified: 2015-11-02 00:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-17 13:47:46 UTC
Type: Bug


Attachments (Terms of Use)
unable-to-create-new-support-case (154.72 KB, application/octet-stream)
2014-09-11 13:17 UTC, Jeeva Kandasamy
no flags Details

Description Jeeva Kandasamy 2014-09-11 13:17:31 UTC
Created attachment 936540 [details]
unable-to-create-new-support-case

Description of problem:
Unable to create new support case who has 'Manage Support Cases' permission.
I have only 'Manage Support Cases' permission in 'Red Hat Access'. I try to create new support case in JBoss ON. But 'Next' button is disabled under create new support case. Unable to proceed further. But I can create new support case via 'Red hat customer' portal.

Version-Release number of selected component (if applicable):
JBoss Operations Network	
Version : 3.3.0.ER02
Build Number : 4fbb183:7da54e2
GWT Version : 2.5.0
SmartGWT Version : 3.0p

How reproducible:
always

Steps to Reproduce:
1. Login in to JBOSS ON 3.3
2. Login in to 'Red Hat access' with the user only have 'Manage Support Cases' permission.
3. Open new support case.

Additional info: Screen shot is attached.

Comment 3 Simeon Pinder 2014-09-29 08:12:37 UTC
Moving into ER05 as didn't make the ER04 cut.

Comment 5 Spenser Shumaker 2014-10-21 19:07:54 UTC
After updating the redhat-access-angular-ui lib this bug should be fixed.

Comment 6 Libor Zoubek 2014-10-22 09:05:50 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/d9f66ebaa
time:    2014-10-22 11:05:15 +0200
commit:  d9f66ebaa1e0fb88cc2d328d0dcdf2f78c934adf
author:  Libor Zoubek - lzoubek@redhat.com
message: [BZ 1140669][BZ 1134829][BZ 1140659] update RHA to 0.9.34

Comment 7 Simeon Pinder 2014-11-03 19:03:33 UTC
Moving to ON_QA as available to test with latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=396547


Note You need to log in before you can comment on or make changes to this bug.